<?php
// Author: Kevin K.M. Chiu
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: ftp.php,v 1.13 2002/07/11 20:32:31 will Exp $

include("ServerScriptHelper.php");
include("Product.php");

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();
$product = new Product($cceClient);
$factory = $serverScriptHelper->getHtmlComponentFactory("base-ftp", "/base/ftp/ftpHandler.php");

// get object
$ftp = $cceClient->getObject("System", array(), "Ftp");

$page = $factory->getPage();

$block = $factory->getPagedBlock("ftpSettings");

$block->processErrors($serverScriptHelper->getErrors());

$block->addFormField(
  $factory->getBoolean("enableServerField", $ftp["enabled"]),
  $factory->getLabel("enableServerField")
);

if(!$product->isRaq())
{
	$max = $factory->getInteger("maxUserField", $ftp["maxConnections"], 1, 1024);
	$max->showBounds(1);
	$max->setWidth(5);
	$block->addFormField(
	  $max,
	  $factory->getLabel("maxUserField")
	);
}

if($product->isRaq()) 
{
  $rate = $factory->getInteger("connectRateField", $ftp["connectRate"], 1, 1024);
  $rate->showBounds(1);
  $rate->setWidth(5);
  $block->addFormField(
    $rate,
    $factory->getLabel("connectRateField")
  );
}

$block->addButton($factory->getSaveButton($page->getSubmitAction()));

$serverScriptHelper->destructor();
?>
<?php print($page->toHeaderHtml()); ?>

<?php print($block->toHtml()); ?>

<?php print($page->toFooterHtml()); ?>
